
/* 
 * LCAUView.h -- Interface file for the LCAUView class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to 
 * its fitness for any particular use, nor even that it has any use at all.
 *
 */

#import <appkit/appkit.h>

@interface LCAUView:View {

	id		sButton, pButton;
	id		basc;
	id		baux;
	id		haHa;
	id		keepTop;
	id		wrule;
	id		dataList;
	id		rbutton,sbutton;
	id		ruleNumber;
	id		pslid;
	id 		revRule;

	id		statEnpai;
	id		statEntro;
	id		statLines;
	id		statMode;
	id		statPair;
	id		statState;
	id		statSDevi;
	id		statNhood;
	id		statIndx;
	id		statLamb;
	id		tiDat;
	id		autoShCell;
	id		valBx;

	id		theBasinView;
	id		theBlockView;
	id		theEntropyView;
	id		theEvolView;
	id		thePlaidView;
	id		theProbView;
	id		theStereoView;
	id		theShEvolView;
	id		theThEvolView;

	id		basinWindow;
	id		stereoWindow;
	id		entropyWindow;
	id		evolWindow;
	id		keyWindow;
	id		probWindow;
	id		plaidWindow;
	id		shEvolWindow;
	id		thEvolWindow;
	
	id		probEI;
	id		probEB, probEO;
	id		probGr, probPo;
	id		probComp;
	id		probGens;
	id		probLevel;
	id		probView;
	
        id		delegate;
	id		points;
	id		crossCursor;
	id		readOut;
	float		radius;
	BOOL		needsClearing;

	id		menuCopy;
	id		menuPrint;

}

- arhi:sender;
- printArhi:sender;
- drawEvolu:sender;
- copyShEvol:sender;
- drawShEvol:sender;
- drawThEvol:sender;
- nxasfreq;
- nxmoncar: (int) l;
- printEvolu:sender;
- showCursor:sender;
- showWrule:sender;
- prob:sender;

- probHowMany:sender;
- probSetEI:sender;
- probSetGen:sender;
- probSetBlk:sender;
- copyMeanF:sender;
- copyProb:sender;
- copyStereo:sender;
- copyThEvol:sender;
- drawMeanF:sender;
- drawStereo:sender;
- drawNBlock:sender;
- drawProb:sender;
- drawPlaid:sender;
- drawStat:sender;
- printMeanF:sender;
- printNBlock:sender;
- printPlain:sender;
- printProb:sender;
- printPlaid:sender;
- printStat:sender;
- printShEvol:sender;
- printThEvol:sender;
- printTMatrix:sender;

- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- clear:sender;
- plot:sender;
- mouseDown:(NXEvent *)theEvent;

@end


/* end LCAUView.h */
